package po

import "plugins/alipay_redpack/internal/vo"

type NotifyBizContent struct {
	OutBizNo           string    `json:"out_biz_no"`
	ProductCode        string    `json:"product_code"`
	BizScene           string    `json:"biz_scene"`
	OriginInterface    string    `json:"origin_interface"`
	OrderId            string    `json:"order_id"`
	Status             vo.Status `json:"status"`
	ActionType         string    `json:"action_type"`
	TransAmount        string    `json:"trans_amount"`
	SettleSerialNo     string    `json:"settle_serial_no"`
	SubOrderStatus     string    `json:"sub_order_status"`
	SubOrderErrorCode  string    `json:"sub_order_error_code"`
	SubOrderFailReason string    `json:"sub_order_fail_reason"`
	PayFundOrderId     string    `json:"pay_fund_order_id"`
	PayDate            string    `json:"pay_date"`
	RefundDate         string    `json:"refund_date"`
	EntrustOrderId     string    `json:"entrust_order_id"`
}

type Notify struct {
	Charset      string `json:"charset"`
	UtcTimestamp string `json:"utc_timestamp"`
	AppId        string `json:"app_id"`
	Version      string `json:"version"`
	SignType     string `json:"sign_type"`
	NotifyId     string `json:"notify_id"`
	MsgMethod    string `json:"msg_method"`
	Sign         string `json:"sign"`
	BizContent   string `json:"biz_content"`
}
